> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cryptomate.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get holding wallet balances

> List token balances for the holding wallet.

Retrieves all token balances for the holding wallet on the specified blockchain. Solana is not supported. Requires an API key with access level 1 or higher.

## Query parameters

<ParamField query="blockchain" type="string" required>
  Blockchain to filter the holding wallet balances. One of `ETHEREUM`, `POLYGON`, `BSC`, `ARBITRUM`, `OPTIMISM`, `BASE`, `AVALANCHE`.
</ParamField>

## Response

Returns an array of balance objects.

<ResponseField name="name" type="string">
  Token name.
</ResponseField>

<ResponseField name="symbol" type="string">
  Token symbol.
</ResponseField>

<ResponseField name="balance" type="number">
  Current balance amount.
</ResponseField>

<ResponseField name="token_address" type="string">
  Smart contract address of the token.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.cryptomate.me/virtual-wallets/holding/balance?blockchain=POLYGON" \
    -H "x-api-key: $CRYPTOMATE_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  [
    {
      "name": "USD Coin",
      "symbol": "USDC",
      "balance": 25000.00,
      "token_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
    }
  ]
  ```
</ResponseExample>
